function R = YRot(theta)

% R = YRot(theta)
% Computes the rotation matrix R representing a rotation by theta around the
% current y-axis
% 
% Inputs:
%   theta:	rotation angle [rad]
%
% Outputs:
%   R:      3x3 rotation matrix representing the rotation by theta around the
%           current y-axis
%
% Author:    Tale Sundlister
% Date:      June 2012
% ________________________________________________________________
%
% Copyright (C) 2012 Tale Sundlister
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% E-mail: tale.sundlisater@gmail.com


cth = cos(theta);
sth = sin(theta);

R = [cth 0 sth;
     0   1 0;
    -sth 0 cth];