function R = ZRot(phi)

% R = ZRot(phi)
% Computes the rotation matrix R representing a rotation by phi around the
% current z-axis
% 
% Inputs:
%   phi:	rotation angle [rad]
%
% Outputs:
%   R:      3x3 rotation matrix representing the rotation by phi around the
%           current z-axis
%
% Author:    Tale Sundlister
% Date:      June 2012
% ________________________________________________________________
%
% Copyright (C) 2012 Tale Sundlister
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% E-mail: tale.sundlisater@gmail.com

cphi = cos(phi);
sphi = sin(phi);

R = [cphi -sphi 0;
     sphi  cphi 0;
     0     0    1];