function delta_alpha = delta_alpha(alpha)

% delta_alpha = delta_alpha(alpha)
% Computes matrix Delta(0,alpha) used in the gyro error model
% 
% Inputs:
%   alpha:	6-vector of misalignment angles [rad]
%           [a_xy a_xz a_yx a_yz a_zx a_zy]
%
% Outputs:
%   Delta:	3x3 matrix Delta(0,alpha) used in the gyro error model
%
% Author:    Tale Sundlister
% Date:      June 2012
% ________________________________________________________________
%
% Copyright (C) 2012 Tale Sundlister
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% E-mail: tale.sundlisater@gmail.com

delta_alpha = [...
    0 alpha(1) alpha(2)
    alpha(3) 0 alpha(4)
    alpha(5) alpha(6) 0];