function R_ecef2eci = ecef2eci(t)

% R_ecef2eci = ECEF2ECI(t) rotates from ECEF cartesian
% coordinates to ECI frame.
%
% Author:    Tale Sundlister
% Date:      30 May 2012
% ________________________________________________________________
%
% Copyright (C) 2012 Tale Sundlister
% 
% This program is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% This program is distributed in the hope that it will be useful, but
% WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with this program.  If not, see <http://www.gnu.org/licenses/>.
% 
% E-mail: tale.sundlisater@gmail.com

global wgs84_omega_E;   % Earth rotation
R_ecef2eci = ZRot(-t*wgs84_omega_E);